#!/bin/bash
exec1="primes-threadPool-fixed-chunks"
exec2="primes-threadPool-concQueue"
saveLog1="logs/$exec1"
saveLog2="logs/$exec2"
problemSize=2000000
for ((i=1; i<=5; i++)) #10 repetitions
do
    for j in {1..16..1} #from 1 to 12 threads
    do
        echo $j
        ./$exec1 $problemSize $j &>> $saveLog1-$j.log
        ./$exec2 $problemSize $j &>> $saveLog2-$j.log
    done
done